OpenVDB: GenPoints< TreeT, LeafManagerT > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GenPoints< TreeT, LeafManagerT > Class Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef tree::ValueAccessor< const TreeT > | AccessorT
typedef TreeT::template ValueConverter< int >::Type | IntTreeT
typedef tree::ValueAccessor< IntTreeT > | IntAccessorT
typedef tree::ValueAccessor< const IntTreeT > | IntCAccessorT
typedef TreeT::template ValueConverter< Int16 >::Type | Int16TreeT
typedef tree::ValueAccessor< const Int16TreeT > | Int16CAccessorT
typedef boost::scoped_array< uint32_t > | QuantizedPointList

## Public Member Functions
| GenPoints (const LeafManagerT &signLeafs, const TreeT &distTree, IntTreeT &idxTree, PointList &points, std::vector< size_t > &indices, const math::Transform &xform, double iso)
void | run (bool threaded=true)
void | setRefData (const Int16TreeT *refSignTree=NULL, const TreeT *refDistTree=NULL, IntTreeT *refIdxTree=NULL, const QuantizedPointList *seamPoints=NULL, std::vector< unsigned char > *mSeamPointMaskPt=NULL)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

typedef tree::ValueAccessor<const TreeT> AccessorT

typedef tree::ValueAccessor<const Int16TreeT> Int16CAccessorT

typedef TreeT::template ValueConverter<Int16>::Type Int16TreeT

typedef tree::ValueAccessor<IntTreeT> IntAccessorT

typedef tree::ValueAccessor<const IntTreeT> IntCAccessorT

typedef TreeT::template ValueConverter<int>::Type IntTreeT

typedef boost::scoped_array<uint32_t> QuantizedPointList

## Constructor & Destructor Documentation

GenPoints | ( | const LeafManagerT & | signLeafs,
|  | const TreeT & | distTree,
|  | IntTreeT & | idxTree,
|  | PointList & | points,
|  | std::vector< size_t > & | indices,
|  | const math::Transform & | xform,
|  | double | iso
| ) |  |

## Member Function Documentation

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

void run | ( | bool | threaded = `true` | ) |

void setRefData | ( | const Int16TreeT * | refSignTree = `NULL`,
|  | const TreeT * | refDistTree = `NULL`,
|  | IntTreeT * | refIdxTree = `NULL`,
|  | const QuantizedPointList * | seamPoints = `NULL`,
|  | std::vector< unsigned char > * | mSeamPointMaskPt = `NULL`
| ) |  |

The documentation for this class was generated from the following file:

- VolumeToMesh.h